## ros-melodic-stereo-image-proc 1.15.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(stereo_image_proc)

find_package(catkin REQUIRED cv_bridge dynamic_reconfigure image_geometry image_proc image_transport message_filters nodelet sensor_msgs stereo_msgs)
find_package(Boost REQUIRED COMPONENTS thread)

if(cv_bridge_VERSION VERSION_GREATER "1.12.0")
  add_compile_options(-std=c++11)
endif()

# Dynamic reconfigure support
generate_dynamic_reconfigure_options(cfg/Disparity.cfg)

catkin_package(
  CATKIN_DEPENDS image_geometry image_proc sensor_msgs stereo_msgs
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
)

include_directories(include)

find_package(OpenCV REQUIRED)
include_directories(${catkin_INCLUDE_DIRS} ${OpenCV_INCLUDE_DIRS})

# See note in image_proc/CMakeLists.txt
add_definitions(-DOPENCV_TRAITS_ENABLE_DEPRECATED)

# Nodelet library
add_library(${PROJECT_NAME} src/libstereo_image_proc/processor.cpp src/nodelets/disparity.cpp src/nodelets/point_cloud2.cpp)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES}
                                      ${OpenCV_LIBRARIES}
)
add_dependencies(${PROJECT_NAME} ${PROJECT_NAME}_gencfg)
install(TARGETS ${PROJECT_NAME}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)
install(FILES nodelet_plugins.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

# Standalone node
add_executable(stereoimageproc_exe src/nodes/stereo_image_proc.cpp)
target_link_libraries(stereoimageproc_exe stereo_image_proc)
SET_TARGET_PROPERTIES(stereoimageproc_exe PROPERTIES OUTPUT_NAME stereo_image_proc)
install(TARGETS stereoimageproc_exe
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# install the launch file
install(DIRECTORY launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/
)

# install the include directory
install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

## ros-melodic-stereo-image-proc 1.15.0

=== debian/changelog ===
ros-melodic-stereo-image-proc (1.15.0-1stretch) stretch; urgency=high

  * updated install locations for better portability. (#500 <https://github.com/ros-perception/image_pipeline/issues/500>)
  * Contributors: Sean Yen

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 18 May 2020 05:00:00 -0000

ros-melodic-stereo-image-proc (1.14.0-1stretch) stretch; urgency=high

  * Expand range for min_disparity and disparity_range. (#431 <https://github.com/ros-perception/image_pipeline/issues/431>)
  * Contributors: Terry Welsh, Tim Übelhör

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 12 Jan 2020 06:00:00 -0000

ros-melodic-stereo-image-proc (1.13.0-1stretch) stretch; urgency=high

  * Merge pull request #375 <https://github.com/ros-perception/image_pipeline/issues/375> from fizyr-forks/opencv4
  * Fix OpenCV4 compatibility.
  * Merge pull request #338 <https://github.com/ros-perception/image_pipeline/issues/338> from k-okada/arg_sync
  * add approximate_sync args in stereo_image_proc.launch
  * Merge pull request #395 <https://github.com/ros-perception/image_pipeline/issues/395> from ros-perception/steve_maintain
  * adding autonomoustuff mainainer
  * adding stevemacenski as maintainer to get emails
  * Merge pull request #392 <https://github.com/ros-perception/image_pipeline/issues/392> from bknight-i3drobotics/patch-1
  * Fix typo
    Typo in line: 14. Changed 'sterel algorithm' to 'stereo algorithm'
  * add approximate_sync args in stereo_image_proc.launch
  * Contributors: Hans Gaiser, Joshua Whitley, Kei Okada, Steven Macenski, Yoshito Okada, bknight-i3drobotics, stevemacenski

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 12 Jun 2019 05:00:00 -0000

ros-melodic-stereo-image-proc (1.12.23-1stretch) stretch; urgency=high

  * Removed unused mutable scratch buffers (#315 <https://github.com/ros-perception/image_pipeline/issues/315>)
    The uint32_t buffers conflicted with newer release of OpenCV3, as explained here https://github.com/ros-perception/image_pipeline/issues/310
  * Contributors: Miquel Massot

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 10 May 2018 05:00:00 -0000

ros-melodic-stereo-image-proc (1.12.22-1stretch) stretch; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 08 Dec 2017 06:00:00 -0000

ros-melodic-stereo-image-proc (1.12.21-1stretch) stretch; urgency=high

  * Updated fix for traits change. (#303 <https://github.com/ros-perception/image_pipeline/issues/303>)
  * Fix C++11 compilation
    This fixes #292 <https://github.com/ros-perception/image_pipeline/issues/292> and #291 <https://github.com/ros-perception/image_pipeline/issues/291>
  * Contributors: Mike Purvis, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 05 Nov 2017 05:00:00 -0000

ros-melodic-stereo-image-proc (1.12.20-1stretch) stretch; urgency=high

  * fix doc jobs
    This is a proper fix for #233 <https://github.com/ros-perception/image_pipeline/issues/233>
  * address gcc6 build error
    With gcc6, compiling fails with stdlib.h: No such file or directory,
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129.
    This commit addresses this issue for this package in the same way
    it was addressed in various other ROS packages. A list of related
    commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * Contributors: Lukas Bulwahn, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 30 Apr 2017 05:00:00 -0000

ros-melodic-stereo-image-proc (1.12.19-1stretch) stretch; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 24 Jul 2016 05:00:00 -0000

ros-melodic-stereo-image-proc (1.12.18-1stretch) stretch; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 12 Jul 2016 05:00:00 -0000

ros-melodic-stereo-image-proc (1.12.17-1stretch) stretch; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 11 Jul 2016 05:00:00 -0000

ros-melodic-stereo-image-proc (1.12.16-1stretch) stretch; urgency=high

  * clean OpenCV dependency in package.xml
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 19 Mar 2016 05:00:00 -0000

ros-melodic-stereo-image-proc (1.12.15-1stretch) stretch; urgency=high

  * simplify OpenCV3 conversion
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 17 Jan 2016 06:00:00 -0000

ros-melodic-stereo-image-proc (1.12.14-1stretch) stretch; urgency=high

  * add StereoSGBM and it can be chosen from dynamic_reconfigure
  * Contributors: Ryohei Ueda

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 22 Jul 2015 05:00:00 -0000

ros-melodic-stereo-image-proc (1.12.13-1stretch) stretch; urgency=high

  * get code to compile with OpenCV3
  * modify pointcloud data format of stereo_image_proc using point_cloud2_iterator
  * Contributors: Hiroaki Yaguchi, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 06 Apr 2015 05:00:00 -0000

ros-melodic-stereo-image-proc (1.12.12-1stretch) stretch; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 31 Dec 2014 06:00:00 -0000

ros-melodic-stereo-image-proc (1.12.11-1stretch) stretch; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 26 Oct 2014 05:00:00 -0000

ros-melodic-stereo-image-proc (1.12.10-1stretch) stretch; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 28 Sep 2014 05:00:00 -0000

ros-melodic-stereo-image-proc (1.12.9-1stretch) stretch; urgency=high

  * get code to compile with OpenCV3
    fixes #96 <https://github.com/ros-perception/image_pipeline/issues/96>
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 21 Sep 2014 05:00:00 -0000

ros-melodic-stereo-image-proc (1.12.8-1stretch) stretch; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 19 Aug 2014 05:00:00 -0000



=== debian/control ===
Source: ros-melodic-stereo-image-proc
Section: misc
Priority: optional
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-cv-bridge, ros-melodic-dynamic-reconfigure, ros-melodic-image-geometry, ros-melodic-image-proc, ros-melodic-image-transport, ros-melodic-message-filters, ros-melodic-nodelet, ros-melodic-rostest, ros-melodic-sensor-msgs, ros-melodic-stereo-msgs
Homepage: http://www.ros.org/wiki/stereo_image_proc
Standards-Version: 3.9.2

Package: ros-melodic-stereo-image-proc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-cv-bridge, ros-melodic-dynamic-reconfigure, ros-melodic-image-geometry, ros-melodic-image-proc, ros-melodic-image-transport, ros-melodic-message-filters, ros-melodic-nodelet, ros-melodic-sensor-msgs, ros-melodic-stereo-msgs
Description: Stereo and single image rectification and disparity processing.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-stereo-image-proc//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-stereo-image-proc 1.15.2

=== debian/changelog ===
ros-melodic-stereo-image-proc (1.15.2-1bionic) bionic; urgency=high

  * support rgba8 and bgra8 encodings by skipping alpha channel
  * build error fix
  * feedback considered
  * downsampling original img / upsampling disparity img

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 13 Jul 2022 05:00:00 -0000

ros-melodic-stereo-image-proc (1.15.1-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 11 Dec 2020 06:00:00 -0000

ros-melodic-stereo-image-proc (1.15.0-1bionic) bionic; urgency=high

  * updated install locations for better portability. (#500 <https://github.com/ros-perception/image_pipeline/issues/500>)
  * Contributors: Sean Yen

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 18 May 2020 05:00:00 -0000

ros-melodic-stereo-image-proc (1.14.0-1bionic) bionic; urgency=high

  * Expand range for min_disparity and disparity_range. (#431 <https://github.com/ros-perception/image_pipeline/issues/431>)
  * Contributors: Terry Welsh, Tim Übelhör

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 12 Jan 2020 06:00:00 -0000

ros-melodic-stereo-image-proc (1.13.0-1bionic) bionic; urgency=high

  * Merge pull request #375 <https://github.com/ros-perception/image_pipeline/issues/375> from fizyr-forks/opencv4
  * Fix OpenCV4 compatibility.
  * Merge pull request #338 <https://github.com/ros-perception/image_pipeline/issues/338> from k-okada/arg_sync
  * add approximate_sync args in stereo_image_proc.launch
  * Merge pull request #395 <https://github.com/ros-perception/image_pipeline/issues/395> from ros-perception/steve_maintain
  * adding autonomoustuff mainainer
  * adding stevemacenski as maintainer to get emails
  * Merge pull request #392 <https://github.com/ros-perception/image_pipeline/issues/392> from bknight-i3drobotics/patch-1
  * Fix typo
    Typo in line: 14. Changed 'sterel algorithm' to 'stereo algorithm'
  * add approximate_sync args in stereo_image_proc.launch
  * Contributors: Hans Gaiser, Joshua Whitley, Kei Okada, Steven Macenski, Yoshito Okada, bknight-i3drobotics, stevemacenski

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 12 Jun 2019 05:00:00 -0000

ros-melodic-stereo-image-proc (1.12.23-1bionic) bionic; urgency=high

  * Removed unused mutable scratch buffers (#315 <https://github.com/ros-perception/image_pipeline/issues/315>)
    The uint32_t buffers conflicted with newer release of OpenCV3, as explained here https://github.com/ros-perception/image_pipeline/issues/310
  * Contributors: Miquel Massot

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 10 May 2018 05:00:00 -0000

ros-melodic-stereo-image-proc (1.12.22-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 08 Dec 2017 06:00:00 -0000

ros-melodic-stereo-image-proc (1.12.21-1bionic) bionic; urgency=high

  * Updated fix for traits change. (#303 <https://github.com/ros-perception/image_pipeline/issues/303>)
  * Fix C++11 compilation
    This fixes #292 <https://github.com/ros-perception/image_pipeline/issues/292> and #291 <https://github.com/ros-perception/image_pipeline/issues/291>
  * Contributors: Mike Purvis, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 05 Nov 2017 05:00:00 -0000

ros-melodic-stereo-image-proc (1.12.20-1bionic) bionic; urgency=high

  * fix doc jobs
    This is a proper fix for #233 <https://github.com/ros-perception/image_pipeline/issues/233>
  * address gcc6 build error
    With gcc6, compiling fails with stdlib.h: No such file or directory,
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129.
    This commit addresses this issue for this package in the same way
    it was addressed in various other ROS packages. A list of related
    commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * Contributors: Lukas Bulwahn, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 30 Apr 2017 05:00:00 -0000

ros-melodic-stereo-image-proc (1.12.19-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 24 Jul 2016 05:00:00 -0000

ros-melodic-stereo-image-proc (1.12.18-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 12 Jul 2016 05:00:00 -0000

ros-melodic-stereo-image-proc (1.12.17-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 11 Jul 2016 05:00:00 -0000

ros-melodic-stereo-image-proc (1.12.16-1bionic) bionic; urgency=high

  * clean OpenCV dependency in package.xml
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 19 Mar 2016 05:00:00 -0000

ros-melodic-stereo-image-proc (1.12.15-1bionic) bionic; urgency=high

  * simplify OpenCV3 conversion
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 17 Jan 2016 06:00:00 -0000

ros-melodic-stereo-image-proc (1.12.14-1bionic) bionic; urgency=high

  * add StereoSGBM and it can be chosen from dynamic_reconfigure
  * Contributors: Ryohei Ueda

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 22 Jul 2015 05:00:00 -0000

ros-melodic-stereo-image-proc (1.12.13-1bionic) bionic; urgency=high

  * get code to compile with OpenCV3
  * modify pointcloud data format of stereo_image_proc using point_cloud2_iterator
  * Contributors: Hiroaki Yaguchi, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 06 Apr 2015 05:00:00 -0000

ros-melodic-stereo-image-proc (1.12.12-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 31 Dec 2014 06:00:00 -0000

ros-melodic-stereo-image-proc (1.12.11-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 26 Oct 2014 05:00:00 -0000

ros-melodic-stereo-image-proc (1.12.10-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 28 Sep 2014 05:00:00 -0000



=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
-Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-cv-bridge, ros-melodic-dynamic-reconfigure, ros-melodic-image-geometry, ros-melodic-image-proc, ros-melodic-image-transport, ros-melodic-message-filters, ros-melodic-nodelet, ros-melodic-rostest, ros-melodic-sensor-msgs, ros-melodic-stereo-msgs
+Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-cv-bridge, ros-melodic-dynamic-reconfigure, ros-melodic-image-geometry, ros-melodic-image-proc, ros-melodic-image-transport, ros-melodic-message-filters, ros-melodic-nodelet, ros-melodic-rostest <!nocheck>, ros-melodic-sensor-msgs, ros-melodic-stereo-msgs
 Homepage: http://www.ros.org/wiki/stereo_image_proc
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
